FilterClause (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.FilterClause class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class FilterClause

    java.lang.Object
      org.apache.lucene.search.FilterClause

    public final class FilterClause

extends Object

A Filter that wrapped with an indication of how that filter is used when composed with another filter. (Follows the boolean logic in BooleanClause for composition of queries.)

Constructor Summary
`FilterClause(org.apache.lucene.search.Filter filter, org.apache.lucene.search.BooleanClause.Occur occur)` Create a new FilterClause

Method Summary
`boolean` | `equals(Object o)`
`org.apache.lucene.search.Filter` | `getFilter()` Returns this FilterClause's filter
`org.apache.lucene.search.BooleanClause.Occur` | `getOccur()` Returns this FilterClause's occur parameter
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterClause

    public FilterClause(org.apache.lucene.search.Filter filter,
                        org.apache.lucene.search.BooleanClause.Occur occur)

  Create a new FilterClause

  Parameters:
    `filter` - A Filter object containing a BitSet
    `occur` - A parameter implementation indicating SHOULD, MUST or MUST NOT

Method Detail

### getFilter

    public org.apache.lucene.search.Filter getFilter()

  Returns this FilterClause's filter

  Returns:
    A Filter object

### getOccur

    public org.apache.lucene.search.BooleanClause.Occur getOccur()

  Returns this FilterClause's occur parameter

  Returns:
    An Occur object

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD